using Vintagestory.API.Config;
using Vintagestory.API.Common;
using Vintagestory.GameContent;

namespace GliderVariations
{
    public class ItemGliderVanillaName : ItemGlider
    {
        public override string GetHeldItemName(ItemStack stack)
        {
            var type = Variant["type"];

            var color = "color-" + type;
            var part = Lang.Get(color);

            if (color != part)
            {
                return Lang.Get("item-glider") + " (" + part + ")";
            }
            else if (type.Contains("dragon-"))
            {
                var dragonColor = type.Split('-');
                var dragon = Lang.Get("glidervar:" + dragonColor[0]);
                var _color = Lang.Get("color-" + dragonColor[1]);

                return Lang.Get("item-glider") + " (" + dragon + ")" + " (" + _color + ")";
            }
            else if (type == "bat")
            {
                return Lang.Get("item-glider") + " (" + Lang.Get("glidervar:bat") + ")";
            }
            else if (type.Contains("feather"))
            {
                return Lang.Get("item-glider") + " (" + Lang.Get("item-feather") + ")";
            }

            return Lang.Get("item-glider") + " (" + type + ")";
        }
    }
}